> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/basic-operations/basics/page-presentation-mode.md).

# Page layout/presentation mode in Xamarin

Discover the various page layouts supported by PDFViewCtrl, including Single, Facing, and more. Learn how to set the page presentation mode for your PDFViewCtrl effortlessly. The Apryse Xamarin SDK st

[`PDFViewCtrl`](https://sdk.apryse.com/api/xamarinandroid/pdfnet/api/pdftron.PDF.PDFViewCtrl.html) supports a number of page layouts ([presentation modes](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFViewCtrl.PagePresentationMode.html)), as listed below:

| Page presentation mode (Xamarin.Android / Xamarin.iOS)                                                              | Description                                                                                             |
| ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `PDFViewCtrl.PagePresentationModes.Single` / `pdftron.PDF.PagePresentationModes.e_single_page`                      | Displays one page at a time, swiping left and right to change pages.                                    |
| `PDFViewCtrl.PagePresentationModes.SingleCont` / `pdftron.PDF.PagePresentationModes.e_single_continuous`            | Displays one page at a time, scrolling up and down to change pages.                                     |
| `PDFViewCtrl.PagePresentationModes.SingleVert`(Android)                                                             | Displays one page at a time, swiping up and down to change pages.                                       |
| `PDFViewCtrl.PagePresentationModes.Facing` / `pdftron.PDF.PagePresentationModes.e_facing`                           | Displays two pages at a time, with odd-numbered pages on left, swiping left and right to change pages.  |
| `PDFViewCtrl.PagePresentationModes.FacingCont` / `pdftron.PDF.PagePresentationModes.e_facing_continuous`            | Displays pages in two columns, with odd-numbered pages on left, scrolling up and down to change pages.  |
| `PDFViewCtrl.PagePresentationModes.FacingVert`(Android)                                                             | Displays two pages at a time, with odd-numbered pages on left, swiping up and down to change pages.     |
| `PDFViewCtrl.PagePresentationModes.FacingCover` / `pdftron.PDF.PagePresentationModes.e_facing_cover`                | Displays two pages at a time, with odd-numbered pages on right, swiping left and right to change pages. |
| `PDFViewCtrl.PagePresentationModes.FacingCoverCont` / `pdftron.PDF.PagePresentationModes.e_facing_continuous_cover` | Display pages in two columns, with odd-numbered pages on right, scrolling up and down to change pages.  |
| `PDFViewCtrl.PagePresentationModes.FacingCoverVert`(Android)                                                        | Displays two pages at a time, with odd-numbered pages on right, swiping up and down to change pages.    |

## Set the page presentation mode

You can set page presentation mode in your `PDFViewCtrl` by using `PagePresentationMode` property:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
// Xamarin.Android
mPdfViewCtrl.PagePresentationMode = pdftron.PDF.PDFViewCtrl.PagePresentationModes.Facing;

// Xamarin.iOS
mPdfViewCtrl.PagePresentationMode = pdftron.PDF.PagePresentationModes.e_facing;
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/basic-operations/basics/page-presentation-mode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
